Subject: Cutoff date

From: "Yuliang" <[email-masked]>
Date: Mon, 21 Feb 94 12:12:40 CST

The new cutoff date of July 2 did not seem to attract enough discussion.  I
believe it is necessary for us to communicate on this matter.  Does this cutoff
date mean that those LADs with priority July 1 will get their interviews soon?
how soon?  Does this mean visa numbers are already available for them?  If not,
how many can get their applications approved?  Can somebody clearify these?  It
will be beneficial to all LADs.